> ## Documentation Index
> Fetch the complete documentation index at: https://docs.get-spotlight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create prompts

> Add prompts to an existing topic.

Adds one or more prompts to an existing topic. Enforces the same prompt quota as [Batch create](/api-reference/topics-prompts/batch-create).

### Path parameters

<ParamField path="topicId" type="string" required>
  Topic UUID. Obtain from [Create topics](/api-reference/topics-prompts/create-topics) or the Spotlight app.
</ParamField>

### Request body

<ParamField body="prompts" type="PromptInput[]" required>
  <Expandable title="PromptInput" />
</ParamField>

### Request

```bash theme={null}
curl -s -X POST \
  -H "x-spotlight-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompts": [
      { "text": "How competitive is the pricing?", "customerJourney": "consideration" }
    ]
  }' \
  "https://app.get-spotlight.com/api/v1/topics/TOPIC_ID/prompts"
```

### Response

```json theme={null}
{
  "prompts": [
    { "id": "prompt-uuid-1", "text": "How competitive is the pricing?", "customerJourney": "consideration" }
  ],
  "remainingSlots": 86
}
```
